kio Library: KFilePreview Class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KFilePreview Class Reference

`#include <kfilepreview.h>`

Inheritance diagram for KFilePreview:

[legend]
Collaboration diagram for KFilePreview:

[legend]
List of all members.

## Signals
void | showPreview (const KURL &)
void | clearPreview ()
## Public Member Functions
| KFilePreview (QWidget *parent, const char *name)
| KFilePreview (KFileView *view, QWidget *parent, const char *name)
virtual QWidget * | widget ()
virtual void | clearView ()
void | setFileView (KFileView *view)
KFileView * | fileView () const
virtual void | updateView (bool)
virtual void | updateView (const KFileItem *)
virtual void | removeItem (const KFileItem *)
virtual void | listingCompleted ()
virtual void | setSelectionMode (KFile::SelectionMode sm)
virtual void | setSelected (const KFileItem *, bool)
virtual bool | isSelected (const KFileItem *) const
virtual void | clearSelection ()
virtual void | selectAll ()
virtual void | invertSelection ()
virtual void | insertItem (KFileItem *)
virtual void | clear ()
virtual void | setCurrentItem (const KFileItem *)
virtual KFileItem * | currentFileItem () const
virtual KFileItem * | firstFileItem () const
virtual KFileItem * | nextItem (const KFileItem *) const
virtual KFileItem * | prevItem (const KFileItem *) const
virtual void | setSorting (QDir::SortSpec sort)
virtual void | readConfig (KConfig *, const QString &group=QString::null)
virtual void | writeConfig (KConfig *, const QString &group=QString::null)
virtual KActionCollection * | actionCollection () const
void | ensureItemVisible (const KFileItem *)
void | setPreviewWidget (const QWidget *w, const KURL &u)
## Protected Slots
virtual void | slotHighlighted (const KFileItem *)
## Protected Member Functions
virtual void | virtual_hook (int id, void *data)

## Detailed Description

This KFileView is an empbedded preview for some file types.

Definition at line 39 of file kfilepreview.h.

## Member Function Documentation

virtual QWidget* KFilePreview::widget | ( |  | ) | `[inline, virtual]`

| a pure virtual function to get a QWidget, that can be added to other widgets. This function is needed to make it possible for derived classes to derive from other widgets. Implements KFileView. Definition at line 48 of file kfilepreview.h.

void KFilePreview::clearView | ( |  | ) | `[virtual]`

| pure virtual function, that should be implemented to clear the view. At this moment the list is already empty Implements KFileView. Definition at line 142 of file kfilepreview.cpp.

void KFilePreview::setFileView | ( | KFileView * | view | ) |

| Delets the current view and sets the view to the given `view`. The view is reparented to have this as parent, if necessary. Definition at line 81 of file kfilepreview.cpp. References QWidget::reparent(), and KFileView::sorting().

KFileView* KFilePreview::fileView | ( |  | ) | const`[inline]`

| Returns: the current fileview Definition at line 60 of file kfilepreview.h.

void KFilePreview::updateView | ( | bool |  | ) | `[virtual]`

| does a repaint of the view. The default implementation calls
     widget()->repaint(f)
Reimplemented from KFileView. Definition at line 148 of file kfilepreview.cpp. References QWidget::repaint().

void KFilePreview::removeItem | ( | const KFileItem * |  | ) | `[virtual]`

| Removes an item from the list; has to be implemented by the view. Call KFileView::removeItem( item ) after removing it. Reimplemented from KFileView. Definition at line 160 of file kfilepreview.cpp. References KFileView::removeItem().

void KFilePreview::listingCompleted | ( |  | ) | `[virtual]`

| This hook is called when all items of the currently listed directory are listed and inserted into the view, i.e. there won't come any new items anymore. Reimplemented from KFileView. Definition at line 169 of file kfilepreview.cpp.

void KFilePreview::setSelected | ( | const KFileItem * | ,
|  | bool |
| ) | `[virtual]`

| Tells the view that it should highlight the item. This function must be implemented by the view. Implements KFileView. Definition at line 205 of file kfilepreview.cpp.

bool KFilePreview::isSelected | ( | const KFileItem * |  | ) | const`[virtual]`

| Returns: whether the given item is currently selected. Must be implemented by the view. Implements KFileView. Definition at line 196 of file kfilepreview.cpp.

void KFilePreview::clearSelection | ( |  | ) | `[virtual]`

| Clears any selection, unhighlights everything. Must be implemented by the view. Implements KFileView. Definition at line 180 of file kfilepreview.cpp.

void KFilePreview::selectAll | ( |  | ) | `[virtual]`

| Selects all items. You may want to override this, if you can implement it more efficiently than calling setSelected() with every item. This works only in Multiselection mode of course. Reimplemented from KFileView. Definition at line 186 of file kfilepreview.cpp.

void KFilePreview::invertSelection | ( |  | ) | `[virtual]`

| Inverts the current selection, i.e. selects all items, that were up to now not selected and deselects the other. Reimplemented from KFileView. Definition at line 191 of file kfilepreview.cpp.

void KFilePreview::insertItem | ( | KFileItem * |  | ) | `[virtual]`

| The derived view must implement this function to add the file in the widget. Make sure to call this implementation, i.e. KFileView::insertItem( i ); Reimplemented from KFileView. Definition at line 130 of file kfilepreview.cpp. References KFileView::insertItem().

void KFilePreview::clear | ( |  | ) | `[virtual]`

| Clears the view and all item lists. Reimplemented from KFileView. Definition at line 174 of file kfilepreview.cpp. References KFileView::clear().

void KFilePreview::setCurrentItem | ( | const KFileItem * |  | ) | `[virtual]`

| Reimplement this to set `item` the current item in the view, e.g. the item having focus. Implements KFileView. Definition at line 209 of file kfilepreview.cpp.

KFileItem * KFilePreview::currentFileItem | ( |  | ) | const`[virtual]`

| Returns: the "current" KFileItem, e.g. where the cursor is. Returns 0L when there is no current item (e.g. in an empty view). Subclasses have to implement this. Implements KFileView. Definition at line 214 of file kfilepreview.cpp.

void KFilePreview::setSorting | ( | QDir::SortSpec | sort | ) | `[virtual]`

| Sets the sorting order of the view. Default is QDir::Name | QDir::IgnoreCase | QDir::DirsFirst Override this in your subclass and sort accordingly (usually by setting the sorting-key for every item and telling QIconView or QListView to sort. A view may choose to use a different sorting than QDir::Name, Time or Size. E.g. to sort by mimetype or any possible string. Set the sorting to QDir::Unsorted for that and do the rest internally. See also: sortingKey Reimplemented from KFileView. Definition at line 136 of file kfilepreview.cpp. References KFileView::setSorting().

KActionCollection * KFilePreview::actionCollection | ( |  | ) | const`[virtual]`

| This overrides KFileView::actionCollection() by returning the actionCollection() of the KFileView (member left) it contains. This means that KFilePreview will never create a KActionCollection object of its own. Reimplemented from KFileView. Definition at line 257 of file kfilepreview.cpp. References KFileView::actionCollection(), endl(), and kdWarning().

void KFilePreview::ensureItemVisible | ( | const KFileItem * |  | ) | `[virtual]`

| pure virtual function, that should be implemented to make item i visible, i.e. by scrolling the view appropriately. Implements KFileView. Definition at line 237 of file kfilepreview.cpp.

The documentation for this class was generated from the following files:

- kfilepreview.h
- kfilepreview.cpp

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:24:45 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003